% read images in .bmp format
[Y,map] = imread('donald.bmp');
% show image in bmp format
figure('Name','donald.bmp','NumberTitle','off');
imshow(Y,map)

hold on
[x,y]=ginput(1)
plot(x,y,'ro')
hold off

p = double(Y(y,x));

R = map(p+1,1);
G = map(p+1,2);
B = map(p+1,3);



% Plots the sine curve in the color of the selected pixel
figure
Q = ones(50,50);
mapQ = [R G B];
imshow(Q,mapQ);

