
% read images in .jpg format
X = imread('donald.jpg');
figure('Name','donald.jpg','NumberTitle','off')
imshow(X);
[x,y]=ginput(1)



R = X(y,x,1);
G = X(y,x,2);
B = X(y,x,3);

% Plots the sine curve in the color of the selected pixel
figure
t = 0:pi/20:2*pi;
hline1 = plot(t,sin(t),'k');
r=double(R)/255;
g=double(G)/255;
b=double(B)/255;
whitebg([1 1 1])
hline2 = line(t+.06,sin(t),'LineWidth',4,'Color',[r g b]);








